{% extends './base.html' %}

{% block title %}Agregar Empleado{% endblock %}

{% block content %}
<div class="container">
    <h1 class="text-center" style="margin-top: 40px;">Información Del Producto</h1>
	<div class="row">
		<div class="col-md-6 mx-auto">
			<table class="table table-bordered" style="margin-top: 40px;">
				<thead>
					<tr>
						<th class="text-center" colspan="2">Información Básica</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<th>ID del producto:</th>
						<td>{{ producto["id"] }}</td>
					</tr>
					<tr>
						<th>Capacidad:</th>
						<td>{{ producto["capacidad"] }}</td>
					</tr>
					<tr>
						<th>Marca:</th>
						<td>{{ producto["marca"] }}</td>
					</tr>
					<tr>
						<th>Tipo de producto:</th>
						<td>{{ producto["tipo_producto"] }}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
    <div class="row">
        <div class="col-md-6 mx-auto" style="margin-top: 40px;">
			<table class="table table-bordered">
				<thead>
					<tr>
						<th class="text-center" colspan="2">Información de Inventario</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<th>Stock:</th>
						<td>{{ producto["stock"] }}</td>
					</tr>
					<tr>
						<th>Backroom:</th>
						<td>{{ producto["backroom"] }}</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
    <div class="row" style="margin-top: 20px;">
        <div class="col-md-12 text-center">
          <a class="btn btn-primary" id="btn-edit{{ producto["id"] }}" data-bs-toggle="modal" data-bs-target="#modal{{ producto["id"] }}">Editar</a>
          <a href="{{ url_for('eliminar_producto', id=producto.id) }}" class="btn btn-danger">Borrar</a>
        </div>
    </div>
	<div class="modal fade" id="modal{{ producto["id"] }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="exampleModalLabel">Productos</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<form action="{{ url_for('edit_products', id=producto.id) }}" method="POST">
						<fieldset disabled>
						<label for="disabledTextInput">Id producto</label>
                    	<input type="text"  id="disabledTextInput" class="form-control mb-3" name="id" value="{{ producto["id"] }}">
						</fieldset>

                    	<label>Capacidad</label>
                    	<input type="text" class="form-control mb-3" name="capacidad" value="{{ producto["capacidad"] }}">

                    	<label>Marca</label>
                    	<input type="text" class="form-control mb-3" name="marca" value="{{ producto["marca"] }}">

                    	<label>Tipo Producto</label>
                    	<input type="text" class="form-control mb-3" name="tipo_producto" value="{{ producto["tipo_producto"] }}">

                    	<label>Stock</label>
                    	<input type="text" class="form-control mb-3" name="stock" value="{{ producto["stock"] }}">

                    	<label>Backroom</label>
                    	<input type="text" class="form-control mb-3" name="backroom" value="{{ producto["backroom"] }}">
					</div>
					<div class="modal-footer">
						<button type="submit" class="btn btn-primary">Guardar</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
{% endblock %}
